Subject: RE: [midcom] Framework comments & suggestions

From: "Fernando Cuervo" <[email-masked]>
Date: Wed, 1 Aug 2001 15:30:44 -0400

Why do we care how static pin-holes are configured in the MB?
Why would support of the Midcom protocol dictate how the services the MB
provides
can be configured or implemented? 

Fernando Cuervo

> -----Original Message-----
> From:	Bob Penfield [SMTP:[email-masked]]
> Sent:	Wednesday, August 01, 2001 12:59 PM
> To:	Scott Brim; midcom
> Subject:	Re: [midcom] Framework comments & suggestions
> 
> 
> ----- Original Message -----
> From: "Scott Brim" <[email-masked]>
> To: <[email-masked]>
> Sent: Wednesday, August 01, 2001 10:09 AM
> Subject: Re: [midcom] Framework comments & suggestions
> 
> 
> > On Wed, Aug 01, 2001 at 08:16:45AM -0400, Bob Penfield wrote:
> > > I guess that just reinforces your point that the text is ambiguous. I
> was
> > > attempting to clarify what it said and obviously failed. So that
> leaves
> us
> > > with the question of what was originally intended by "The Policy
> server
> does
> > > not assist a middlebox in the implementation of the services it
> provides
> or
> > > with resource authorization on the middlebox"
> >
> > There are two separate issues.
> >
> > The text about implementation of services means that the
> > middlebox-policyserver relationship is orthogonal to the middlebox-agent
> > relationship.  The policy server provides information to the middlebox,
> > but does not get involved in the services middleboxes provide to agents
> > (unlike, say, an OPES device, which would be in a similar position in a
> > diagram but would be very involved in services).  I don't think there's
> > any disagreement here.
> 
> I still don't understand. Are you saying the policy server cannot tell the
> middlebox which services a particular agent is allowed to use?
> 
> >
> > The statement that policy servers don't get involved in resource
> > authorization is the contentious one, and as you know I think it's
> > not appropriate.
> 
> What does "resource authorization" mean?
> 
> My belief is that the information the policy server gives to the middlebox
> will tell it which agents are allowed to talk to it, and which specific
> functions a given agent is allowed to perform. This could even extend to
> the
> middlebox consulting the policy server on a flow-by-flow or
> request-by-request basis to determine if it should perform the operation
> requested by the agent.
> 
> The only thing I have thought of so far in a policy server which might be
> "out-of-scope" of MIDCOM would be information about statically configured
> pin-holes or NATs.
> 
> Can you give some examples of the kinds of things you don't want the
> policy
> server to do?
> 
> (-:bob
> 
> 
> 
> _______________________________________________
> midcom mailing list
> [email-masked]
> http://www.ietf.org/mailman/listinfo/midcom

---

From: Scott Brim <[email-masked]>
Date: Wed, 1 Aug 2001 16:14:32 -0400

On Wed, Aug 01, 2001 at 03:30:44PM -0400, Fernando Cuervo wrote:
> Why do we care how static pin-holes are configured in the MB?  Why
> would support of the Midcom protocol dictate how the services the MB
> provides can be configured or implemented? 
> 
> Fernando Cuervo

Right.